Subject: bug#45737: 27.1.50; Assertion failure in window_box_height

From: martin rudalics <[email-masked]>
Date: Sat, 9 Jan 2021 11:28:06 +0100

> What happens in the above scenario with your patch installed?

What Emacs is asking for in the scenario is to enlarge the minibuffer
window (for whatever reason, I didn't care).  With the patch installed,
Emacs won't do that but keep the minibuffer window size alone.  Note
that for the assertion failure to trigger here, the minibuffer window
must not be visible already.

All this happens in the limbo where the body size of a window exceeds
its total size, that is at least parts of a window are off-screen.
Coincidentally, I can't trigger the bug when I enable 'ruler-mode' too
so don't ask me what we are really doing here.

martin